// Copyright 1999-2020. Plesk International GmbH. All rights reserved.
import React from 'react';
import Link from '../Link';
import Button from '../Button';
import Paragraph from '../Paragraph';
import Popover from './Popover';
export const Basic = args => /*#__PURE__*/React.createElement(Popover, args);
Basic.args = {
  target: /*#__PURE__*/React.createElement(Link, {
    "data-id": "trigger"
  }, 'Trigger'),
  children: 'Content'
};
export const ThreeButtons = args => /*#__PURE__*/React.createElement(Basic, args);
ThreeButtons.args = { ...Basic.args,
  children: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Paragraph, null, 'Enim ea occaecat dolor veniam.'), /*#__PURE__*/React.createElement(Button, {
    "data-id": "button-1"
  }, 'Button 1'), /*#__PURE__*/React.createElement(Paragraph, null, 'Incididunt ipsum nulla officia adipisicing voluptate enim reprehenderit.'), /*#__PURE__*/React.createElement(Button, {
    "data-id": "button-2"
  }, 'Button 2'), " ", /*#__PURE__*/React.createElement(Button, {
    "data-id": "button-3"
  }, 'Button 3'), /*#__PURE__*/React.createElement(Paragraph, null, 'Cillum sunt nisi aute amet elit ut sit dolor in aliqua minim.'))
};
export const Autofocus = args => /*#__PURE__*/React.createElement(Basic, args);
Autofocus.args = { ...Basic.args,
  children: /*#__PURE__*/React.createElement("input", {
    autoFocus: true
  })
};